Name: jakarta-commons-pool
Version: 1.2
Release: alt0.M24.1

Summary: Jakarta Commons Pool Package
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/pool
Source: http://www.apache.org/dist/jakarta/commons/pool/source/commons-pool-%version-src.tar.gz
Source1: jakarta-commons-pool-build.properties

Patch1: jakarta-commons-pool-build.xml.patch

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: j2se1.4-sun-devel ant junit jakarta-commons-collections >= 3.1

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-commons-collections >= 3.1

%description
The goal of Pool package it to create and maintain an object
(instance) pooling package to be distributed under the ASF license.
The package should support a variety of pool implementations, but
encourage support of an interface that makes these implementations
interchangeable.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-pool-%version
%patch1
%__cp %{SOURCE1} build.properties

%build
%__ant -Djava.io.tmpdir=. dist test

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 dist/commons-pool.jar %buildroot%_javadir/%name.jar

%__mv dist/docs/api %buildroot%_javadocdir/%name
%__cp  dist/LICENSE.txt %buildroot%_docdir/%name-%version/

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Thu Apr 21 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2-alt0.M24.1
- Backport to Master 2.4
- Revert to stable version
- Sync with my local repo

* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.3-alt0.1
- rpm-build-java macroces
- version from cvs 20050321

* Mon Sep 13 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Thu Jun 24 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.2-1jpp
- Update to 1.2 (tomcat 5.0.27 wants it)

* Mon Oct 27 2003 Henri Gomez <hgomez@users.sourceforge.net>  0:1.1-1jpp
- commons-pool 1.1

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.0.1-5jpp
- update for JPackage 1.5

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.1-4jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.1-3jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.1-2jpp
- fix missing packager tag

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.1-1jpp
- 1.0.1

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- override java.io.tmpdir to avoid build use /tmp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
